package com.steerinfo.baseinfo.meterbasedoublediff.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

public class MeterBaseDoubleDiff implements IBasePO<String> {
    /**
     * 差值编号(DOUBLE_DIFF_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="差值编号",required=true)
    private String doubleDiffNo;

    /**
     * 秤点1编号(SCALE_POINT_ONE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="秤点1编号",required=true)
    private String scalePointOneNo;

    /**
     * 秤点1名称(SCALE_POINT_ONE_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="秤点1名称",required=true)
    private String scalePointOneName;

    /**
     * 秤点2编号(SCALE_POINT_SECOND_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="秤点2编号",required=true)
    private String scalePointSecondNo;

    /**
     * 秤点2名称(SCALE_POINT_SECOND_NAME,VARCHAR,50)
     */
    @ApiModelProperty(value="秤点2名称",required=true)
    private String scalePointSecondName;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=true)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=true)
    private String baseSpotName;

    /**
     * 差值(DIFF_WEIGHT,DECIMAL,8)
     */
    @ApiModelProperty(value="差值",required=true)
    private BigDecimal diffWeight;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 状态(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态",required=true)
    private String valueFlag;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 删除人编号(DELETE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="删除人编号",required=false)
    private String deleteManNo;

    /**
     * 删除人姓名(DELETE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="删除人姓名",required=false)
    private String deleteManName;

    /**
     * 删除时间(DELETE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="删除时间",required=false)
    private Date deleteTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.doubleDiffNo;
    }

    @Override
    public void setId(String doubleDiffNo) {
        this.doubleDiffNo = doubleDiffNo == null ? null : doubleDiffNo.trim();
    }

    public String getDoubleDiffNo() {
        return doubleDiffNo;
    }

    public void setDoubleDiffNo(String doubleDiffNo) {
        this.doubleDiffNo = doubleDiffNo == null ? null : doubleDiffNo.trim();
    }

    public String getScalePointOneNo() {
        return scalePointOneNo;
    }

    public void setScalePointOneNo(String scalePointOneNo) {
        this.scalePointOneNo = scalePointOneNo == null ? null : scalePointOneNo.trim();
    }

    public String getScalePointOneName() {
        return scalePointOneName;
    }

    public void setScalePointOneName(String scalePointOneName) {
        this.scalePointOneName = scalePointOneName == null ? null : scalePointOneName.trim();
    }

    public String getScalePointSecondNo() {
        return scalePointSecondNo;
    }

    public void setScalePointSecondNo(String scalePointSecondNo) {
        this.scalePointSecondNo = scalePointSecondNo == null ? null : scalePointSecondNo.trim();
    }

    public String getScalePointSecondName() {
        return scalePointSecondName;
    }

    public void setScalePointSecondName(String scalePointSecondName) {
        this.scalePointSecondName = scalePointSecondName == null ? null : scalePointSecondName.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public BigDecimal getDiffWeight() {
        return diffWeight;
    }

    public void setDiffWeight(BigDecimal diffWeight) {
        this.diffWeight = diffWeight;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getDeleteManNo() {
        return deleteManNo;
    }

    public void setDeleteManNo(String deleteManNo) {
        this.deleteManNo = deleteManNo == null ? null : deleteManNo.trim();
    }

    public String getDeleteManName() {
        return deleteManName;
    }

    public void setDeleteManName(String deleteManName) {
        this.deleteManName = deleteManName == null ? null : deleteManName.trim();
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", doubleDiffNo=").append(doubleDiffNo);
        sb.append(", scalePointOneNo=").append(scalePointOneNo);
        sb.append(", scalePointOneName=").append(scalePointOneName);
        sb.append(", scalePointSecondNo=").append(scalePointSecondNo);
        sb.append(", scalePointSecondName=").append(scalePointSecondName);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", diffWeight=").append(diffWeight);
        sb.append(", memo=").append(memo);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", deleteManNo=").append(deleteManNo);
        sb.append(", deleteManName=").append(deleteManName);
        sb.append(", deleteTime=").append(deleteTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}